# DataExchange
TKXSBase
StepData

# StepData_ESDescr Class Reference

This class is intended to describe the authorized form for a
Simple (not Plex) Entity, as a list of fields
.

`#include <StepData_ESDescr.hxx>`

Inheritance diagram for StepData_ESDescr:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_ESDescr (const Standard_CString name)
| Creates an ESDescr with a type name .
Standard_EXPORT void | SetNbFields (const Standard_Integer nb)
| Sets a new count of fields Each one is described by a PDescr .
Standard_EXPORT void | SetField (const Standard_Integer num, const Standard_CString name, const Handle(StepData_PDescr)&descr)
| Sets a PDescr to describe a field A Field is designated by its rank and name .
Standard_EXPORT void | SetBase (const Handle(StepData_ESDescr)&base)
| Sets an ESDescr as based on another one Hence, if there are inherited fields, the derived ESDescr cumulates all them, while the base just records its own ones .
Standard_EXPORT void | SetSuper (const Handle(StepData_ESDescr)&super)
| Sets an ESDescr as "super-type". Applies an a base (non derived) ESDescr .
Standard_EXPORT Standard_CString | TypeName () const
| Returns the type name given at creation time .
Standard_EXPORT const TCollection_AsciiString & | StepType () const
| Returns the type name as an AsciiString .
Standard_EXPORT Handle_StepData_ESDescr | Base () const
| Returns the basic ESDescr, null if <me> is not derived .
Standard_EXPORT Handle_StepData_ESDescr | Super () const
| Returns the super-type ESDescr, null if <me> is root .
Standard_EXPORT Standard_Boolean | IsSub (const Handle(StepData_ESDescr)&other) const
| Tells if <me> is sub-type of (or equal to) another one .
Standard_EXPORT Standard_Integer | NbFields () const
| Returns the count of fields .
Standard_EXPORT Standard_Integer | Rank (const Standard_CString name) const
| Returns the rank of a field from its name. 0 if unknown .
Standard_EXPORT Standard_CString | Name (const Standard_Integer num) const
| Returns the name of a field from its rank. empty if outofrange .
Standard_EXPORT Handle_StepData_PDescr | Field (const Standard_Integer num) const
| Returns the PDescr for the field <num> (or Null) .
Standard_EXPORT Handle_StepData_PDescr | NamedField (const Standard_CString name) const
| Returns the PDescr for the field named <name> (or Null) .
Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const
| Tells if a ESDescr matches a step type : exact or super type .
Standard_EXPORT Standard_Boolean | IsComplex () const
| Returns False .
Standard_EXPORT Handle_StepData_Described | NewEntity () const
| Creates a described entity (i.e. a simple one) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | thenom
Handle_TColStd_HArray1OfTransient | thedescr
Handle_Dico_DictionaryOfInteger | thenames
Handle_StepData_ESDescr | thebase
Handle_StepData_ESDescr | thesuper

## Constructor & Destructor Documentation

Standard_EXPORT StepData_ESDescr::StepData_ESDescr | ( | const Standard_CString | name | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepData_ESDescr StepData_ESDescr::Base | ( |  | ) | const

Standard_EXPORT Handle_StepData_PDescr StepData_ESDescr::Field | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepData_ESDescr::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_EDescr.

Standard_EXPORT Standard_Boolean StepData_ESDescr::IsComplex | ( |  | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Standard_Boolean StepData_ESDescr::IsSub | ( | const Handle(StepData_ESDescr)& | other | ) | const

Standard_EXPORT Standard_Boolean StepData_ESDescr::Matches | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Standard_CString StepData_ESDescr::Name | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_StepData_PDescr StepData_ESDescr::NamedField | ( | const Standard_CString | name | ) | const

Standard_EXPORT Standard_Integer StepData_ESDescr::NbFields | ( |  | ) | const

Standard_EXPORT Handle_StepData_Described StepData_ESDescr::NewEntity | ( |  | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Standard_Integer StepData_ESDescr::Rank | ( | const Standard_CString | name | ) | const

Standard_EXPORT void StepData_ESDescr::SetBase | ( | const Handle(StepData_ESDescr)& | base | ) |

Standard_EXPORT void StepData_ESDescr::SetField | ( | const Standard_Integer | num,
|  | const Standard_CString | name,
|  | const Handle(StepData_PDescr)& | descr
| ) |

Standard_EXPORT void StepData_ESDescr::SetNbFields | ( | const Standard_Integer | nb | ) |

Standard_EXPORT void StepData_ESDescr::SetSuper | ( | const Handle(StepData_ESDescr)& | super | ) |

Standard_EXPORT const TCollection_AsciiString& StepData_ESDescr::StepType | ( |  | ) | const

Standard_EXPORT Handle_StepData_ESDescr StepData_ESDescr::Super | ( |  | ) | const

Standard_EXPORT Standard_CString StepData_ESDescr::TypeName | ( |  | ) | const

## Field Documentation

Handle_StepData_ESDescr StepData_ESDescr::thebase `[private]`

Handle_TColStd_HArray1OfTransient StepData_ESDescr::thedescr `[private]`

Handle_Dico_DictionaryOfInteger StepData_ESDescr::thenames `[private]`

TCollection_AsciiString StepData_ESDescr::thenom `[private]`

Handle_StepData_ESDescr StepData_ESDescr::thesuper `[private]`

The documentation for this class was generated from the following file:

- StepData_ESDescr.hxx